"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var props_1 = require("../props");
var utils_1 = require("../utils");
function getSourceFile(fileName, line, url) {
    var options = props_1.getOptions();
    var md = 'Defined in ';
    if (utils_1.getMarkdownEngine() === 'bitbucket' && options.mdSourceRepo) {
        var bitbucketUrl = options.mdSourceRepo + "/src/master/" + fileName;
        var bitbucketParams = "fileviewer=file-view-default#" + fileName + "-" + line;
        md += "[" + fileName + ":" + line + "](" + bitbucketUrl + "?" + bitbucketParams + ")";
    }
    else if (url) {
        md += "[" + fileName + ":" + line + "](" + url + ")";
    }
    else {
        md += fileName + ":" + line;
    }
    return md;
}
exports.getSourceFile = getSourceFile;
